Tool: create_goldengate_deployment
Create a Goldengate Deployment.
The following code sample shows how to use curl to call the create_goldengate_deployment MCP tool.
| Curl Request |
|---|
curl --location 'https://oracledatabase.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "create_goldengate_deployment", "arguments": { // Provide these details according to the MCP tool specification. } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for CreateGoldengateDeployment.
CreateGoldengateDeploymentRequest
| JSON representation |
|---|
{
"parent": string,
"goldengateDeployment": {
object ( |
| Fields | |
|---|---|
parent |
Required. The resource name of the project to create the Goldengate Deployment in. Format: |
goldengateDeployment |
Required. The Goldengate Deployment to create. |
goldengateDeploymentId |
Required. The ID to use for the Goldengate Deployment that is being created. |
GoldengateDeployment
| JSON representation |
|---|
{ "name": string, "displayName": string, "gcpOracleZone": string, "odbSubnet": string, "licenseModel": enum ( |
| Fields | |
|---|---|
name |
Identifier. The name of the GoldengateDeployment resource in the following format: projects/{project}/locations/{region}/goldengateDeployments/{goldengate_deployment} |
displayName |
Required. The display name for the GoldengateDeployment. |
gcpOracleZone |
Optional. Example: us-east4-b-r2. If not specified, the system will pick a zone based on availability. |
odbSubnet |
Required. The name of the OdbSubnet associated with the GoldengateDeployment for IP allocation. |
licenseModel |
Required. The license model of the GoldengateDeployment. |
environmentType |
Optional. The environment type of the GoldengateDeployment. |
cpuCoreCount |
Required. The Minimum number of OCPUs to be made available for this Deployment. |
autoScalingEnabled |
Optional. Indicates if auto scaling is enabled for the Deployment's CPU core count. |
description |
Optional. The description of the GoldengateDeployment. |
deploymentType |
Required. A valid Oracle Goldengate version. |
oggData |
Required. The ogg data of the GoldengateDeployment. |
GoldengateOggDeployment
| JSON representation |
|---|
{ "deployment": string, "adminUsername": string, "adminPasswordSecretVersion": string, "oggVersion": string } |
| Fields | |
|---|---|
deployment |
Required. The name given to the Goldengate service deployment. The name must be 1 to 32 characters long, must contain only alphanumeric characters and must start with a letter. |
adminUsername |
Optional. The Goldengate deployment console username. |
adminPasswordSecretVersion |
Optional. The Goldengate deployment console password. |
oggVersion |
Optional. Version of OGG |
LicenseModel
The Oracle license model that applies to a Deployment.
| Enums | |
|---|---|
LICENSE_MODEL_UNSPECIFIED |
The license model is unspecified. |
LICENSE_INCLUDED |
The license model is included. |
BRING_YOUR_OWN_LICENSE |
The license model is bring your own license. |
Output Schema
This resource represents a long-running operation that is the result of a network API call.
Operation
| JSON representation |
|---|
{ "name": string, "metadata": { "@type": string, field1: ..., ... }, "done": boolean, // Union field |
| Fields | |
|---|---|
name |
The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the |
metadata |
Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any. An object containing fields of an arbitrary type. An additional field |
done |
If the value is |
Union field result. The operation result, which can be either an error or a valid response. If done == false, neither error nor response is set. If done == true, exactly one of error or response can be set. Some services might not provide the result. result can be only one of the following: |
|
error |
The error result of the operation in case of failure or cancellation. |
response |
The normal, successful response of the operation. If the original method returns no data on success, such as An object containing fields of an arbitrary type. An additional field |
Any
| JSON representation |
|---|
{ "typeUrl": string, "value": string } |
| Fields | |
|---|---|
typeUrl |
Identifies the type of the serialized Protobuf message with a URI reference consisting of a prefix ending in a slash and the fully-qualified type name. Example: type.googleapis.com/google.protobuf.StringValue This string must contain at least one The prefix is arbitrary and Protobuf implementations are expected to simply strip off everything up to and including the last All type URL strings must be legal URI references with the additional restriction (for the text format) that the content of the reference must consist only of alphanumeric characters, percent-encoded escapes, and characters in the following set (not including the outer backticks): In the original design of |
value |
Holds a Protobuf serialization of the type described by type_url. A base64-encoded string. |
Status
| JSON representation |
|---|
{ "code": integer, "message": string, "details": [ { "@type": string, field1: ..., ... } ] } |
| Fields | |
|---|---|
code |
The status code, which should be an enum value of |
message |
A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the |
details[] |
A list of messages that carry the error details. There is a common set of message types for APIs to use. An object containing fields of an arbitrary type. An additional field |
Tool Annotations
Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.
Along with the title string, the following boolean hints are defined as follows:
readOnlyHint: If true, the tool doesn't modify its environment. Default: false.destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.
Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ❌ | Open World Hint: ❌